# $Revision: 1.40 $, $Date: 2012/06/30 15:57:02 $
#
# Conditional builds:
%bcond_with	apidocs		# disable gtk-doc (there isn't any)
%bcond_without	nautilus	# build without nautilus extensions
#
Summary:	GKsu is a GTK+ frontend to the su program
Summary(pl.UTF-8):	GKsu to nakładka graficzna na program su
Name:		gksu
Version:	2.0.2
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://people.debian.org/~kov/gksu/%{name}-%{version}.tar.gz
# Source0-md5:	cacbcac3fc272dce01c6ea38354489e2
Patch0:		glib-2.32.patch
URL:		http://www.nongnu.org/gksu/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-devel
%{?with_nautilus:BuildRequires:	gnome-vfs2-devel}
BuildRequires:	gtk+2-devel >= 2:2.4
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	intltool
BuildRequires:	libgksu-devel >= 2.0.0
BuildRequires:	libtool
%{?with_nautilus:BuildRequires:	nautilus-devel}
BuildRequires:	pkgconfig
Requires:	/bin/su
Obsoletes:	gksu-devel
Obsoletes:	gksu-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with nautilus}
%define		specflags	`pkg-config --cflags gnome-vfs-2.0`
%define		nautilus_extensiondir	%( pkg-config --variable=extensiondir libnautilus-extension )
%endif

%description
GKsu is a GTK+ frontend to the su program.

%description -l pl.UTF-8
GKsu to graficzna nakładka na program su.

%package nautilus
Summary:	Gksu plugin for nautilus
Summary(pl.UTF-8):	Wtyczka gksu dla nautilusa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus
Obsoletes:	gksu-nautilus-devel
Obsoletes:	gksu-nautilus-static

%description nautilus
Gksu plugin for nautilus.

%description nautilus -l pl.UTF-8
Wtyczka gksu dla nautilusa.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static \
	%{!?with_apidocs:--disable-gtk-doc} \
	%{!?with_nautilus:--disable-nautilus-extension} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	nautilus_extensiondir=%{nautilus_extensiondir} \
	DESTDIR=$RPM_BUILD_ROOT

# fix gksudo man link
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/gksudo.1
echo .so man1/gksu.1 > $RPM_BUILD_ROOT%{_mandir}/man1/gksudo.1

%{?with_nautilus:%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/gksu
%attr(755,root,root) %{_bindir}/gksudo
%{_desktopdir}/gksu.desktop
%{_mandir}/man1/*.1*
%{_pixmapsdir}/*.png
%dir %{_datadir}/gksu
%attr(755,root,root) %{_datadir}/gksu/gksu-migrate-conf.sh

%if %{with nautilus}
%files nautilus
%defattr(644,root,root,755)
%attr (755,root,root) %{nautilus_extensiondir}/libnautilus-gksu.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gksu.spec,v $
Revision 1.40  2012/06/30 15:57:02  kiesiu
- patch to build with glib-2.32
- fixed nautilus bcond

Revision 1.39  2011/05/04 10:23:06  lisu
- updated to 2.0.2
- use __rm macro

Revision 1.38  2010/12/04 16:05:48  sls
- added __intltoolize (to avoid 'international files not found...')

Revision 1.37  2008/10/13 00:12:03  gotar
- even less error messages

Revision 1.36  2008/10/12 23:54:21  gotar
- apidocs bcond (nothing builds currently),
- removed BRs... gnome-keyring-devel required by libgksu-devel and
  readline-devel taken from older ORBit2-devel la files,
- gnome-vfs2-devel back conditional - modified specflags %define

Revision 1.35  2008/10/12 23:18:11  gotar
- BR: gnome-keyring-devel, gnome-vfs2-devel (regardless of with_nautilus),
  readline-devel, adjusted gtk+2-devel and libgksu-devel minimal versions,
- removed bogus commit (disabled find_lang without explanation).

Revision 1.34  2008/10/12 22:27:02  shadzik
- properly commented out - thx glen

Revision 1.33  2008/10/12 20:03:39  shadzik
- findlang commented out

Revision 1.32  2008/07/09 13:17:36  megabajt
- more verbose files
- release 3

Revision 1.31  2008/03/28 06:59:26  sls
- package nautilus extension to proper directory

Revision 1.30  2008-03-28 06:18:00  sls
- fixes for nautilus extension

Revision 1.29  2007-05-17 08:57:58  wrobell
- fixed man link
- i18n files are back
- rel. 2

Revision 1.28  2007/05/16 19:24:42  wrobell
- rel. 1

Revision 1.27  2007/03/30 20:30:14  qboosh
- syntax fixes, killed junk

Revision 1.26  2007/03/16 12:54:44  czarny
- BR intltool and gettext-devel for internationalization

Revision 1.25  2007/03/16 12:27:48  czarny
- no natuilus package when --without nautilus supplied

Revision 1.24  2007/03/16 11:54:12  czarny
- up to 2.0
- new natulius plugin subpackage
- BR's added based on clean chroot

Revision 1.23  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.21  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.20  2005/08/15 00:08:54  qboosh
- updated Source0 URL

Revision 1.19  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.18  2004/10/25 22:26:11  dzeus
- up to 1.2.2 (thx Mateusz Murawski)

Revision 1.17  2004/08/28 22:30:32  grzegol
- updated to 1.2.1
- removed and added Obsoletes: gksu-devel gksu-static (libs, and devel files
  are now in separate packages - libgksu and libgksuui)

Revision 1.16  2004/05/18 13:07:09  grzegol
- updated to 1.0.7

Revision 1.15  2004/04/16 14:06:19  grzegol
- updated to 1.0.5

Revision 1.14  2004/04/04 16:17:15  grzegol
- updated to 1.0.4
- removed outdated doc_build patch

Revision 1.13  2004/02/15 22:30:33  grzegol
- cleanups

Revision 1.12  2004/02/15 22:28:48  grzegol
- updated to 1.0.3
- added doc_build patch (fixes doc building)
- added -devel and -static subpackages
- regenerate lt/al/ac/am

Revision 1.11  2003/11/30 19:02:17  adamg
- updated to 0.9.18

Revision 1.10  2003/09/19 20:07:56  misi3k
- updated to 0.9.16

Revision 1.9  2003/08/23 20:33:14  misi3k
- updated to 0.9.15

Revision 1.8  2003/08/10 20:08:59  misi3k
- updated to 0.9.14

Revision 1.7  2003/07/19 22:05:38  adamg
- updated to 0.9.11

Revision 1.6  2003/06/01 17:43:26  misi3k
- updated to 0.9.10

Revision 1.5  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:47:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/12 07:47:55  qboosh
- typo, R: /bin/su

Revision 1.2  2003/05/10 14:42:04  misi3k
- added BR: coreutils

Revision 1.1  2003/05/10 14:39:26  misi3k
- initial release
